Przejdź do głównej zawartości

Ta przeglądarka nie jest już obsługiwana.

Przejdź na przeglądarkę Microsoft Edge, aby korzystać z najnowszych funkcji, aktualizacji zabezpieczeń i pomocy technicznej.

Pobieranie przeglądarki Microsoft Edge Więcej informacji o przeglądarkach Internet Explorer i Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Images

Create an image variation

POST /openai/v1/images/variations Przestarzałe

Creates an image variation from the supplied request.

Treść żądania

The multipart request body.

Content-Type: multipart/form-data
image OpenAI.CreateImageVariationRequest wymagane Przestarzałe

The image to use as the basis for the variation(s). Must be a valid PNG file, less than 4MB, and square.

model string | enum | null Przestarzałe

The legacy model used by the retired image variations endpoint. This endpoint no longer accepts requests.

Którekolwiek z poniższych:
string Przestarzałe
enum Przestarzałe
dall-e-2
n integer | null Przestarzałe

The number of images to generate. Must be between 1 and 10.

response_format enum Przestarzałe

The format in which the generated images are returned. Must be one of url or b64_json. URLs are only valid for 60 minutes after the image has been generated.

urlb64_json
size enum Przestarzałe

The size of the generated images. Must be one of 256x256, 512x512, or 1024x1024.

256x256512x5121024x1024
user string Przestarzałe

A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.

Odpowiedzi

The request has succeeded.

Treść

Content-Type: application/json
safety_identifier string | null Przestarzałe

The effective safety identifier used for safety monitoring and abuse detection. This is the non-empty safety_identifier from the request, or the deprecated user value when safety_identifier is omitted, null, or empty.

created integer wymagane Przestarzałe

The Unix timestamp (in seconds) of when the image was created.

data OpenAI.Image[] Przestarzałe

The list of generated images.

background enum Przestarzałe

The background parameter used for the image generation. Either transparent or opaque.

transparentopaque
output_format enum Przestarzałe

The output format of the image generation. Either png, webp, or jpeg.

pngwebpjpeg
size string | enum Przestarzałe

The image dimensions as a WIDTHxHEIGHT string, for example 1536x864.

Którekolwiek z poniższych:
string Przestarzałe
enum Przestarzałe
1024x10241024x15361536x1024
quality enum Przestarzałe

The quality of the image generated. One of low, medium, high, xhigh, or max.

lowmediumhighxhighmax
usage OpenAI.ImageGenUsage Przestarzałe

For gpt-image-1 only, the token usage information for the image generation.

input_tokens integer wymagane Przestarzałe
total_tokens integer wymagane Przestarzałe
output_tokens integer wymagane Przestarzałe
output_tokens_details OpenAI.ImageGenOutputTokensDetails Przestarzałe

The output token details for the image generation.

image_tokens integer wymagane Przestarzałe
text_tokens integer wymagane Przestarzałe
input_tokens_details OpenAI.ImageGenInputUsageDetails wymagane Przestarzałe

The input tokens detailed information for the image generation.

text_tokens integer wymagane Przestarzałe
image_tokens integer wymagane Przestarzałe

Client error

Treść

Content-Type: application/json
error OpenAI.Error wymagane Przestarzałe
code string | null wymagane Przestarzałe
message string wymagane Przestarzałe
param string | null Przestarzałe
type string Przestarzałe
misalignment OpenAI.MisalignmentErrorDetailsResource Przestarzałe
review_target string | null Przestarzałe
error_type string | enum Przestarzałe
Którekolwiek z poniższych:
string Przestarzałe
enum Przestarzałe
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string Przestarzałe

The public explanation for this block.

steer OpenAI._MisalignmentSteer Przestarzałe
message string wymagane Przestarzałe

The public continuation instruction.

details OpenAI.Error[] Przestarzałe
additionalInfo object Przestarzałe
debugInfo object Przestarzałe

Server error

Treść

Content-Type: application/json
error OpenAI.Error wymagane Przestarzałe
code string | null wymagane Przestarzałe
message string wymagane Przestarzałe
param string | null Przestarzałe
type string Przestarzałe
misalignment OpenAI.MisalignmentErrorDetailsResource Przestarzałe
review_target string | null Przestarzałe
error_type string | enum Przestarzałe
Którekolwiek z poniższych:
string Przestarzałe
enum Przestarzałe
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string Przestarzałe

The public explanation for this block.

steer OpenAI._MisalignmentSteer Przestarzałe
message string wymagane Przestarzałe

The public continuation instruction.

details OpenAI.Error[] Przestarzałe
additionalInfo object Przestarzałe
debugInfo object Przestarzałe

Żądanie

curl https://api.openai.com/v1/images/variations \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -F image="@otter.png" \
  -F n=2 \
  -F size="1024x1024"
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
images_response = client.images.create_variation(
    image=b"Example data",
)
print(images_response.created)
import fs from "fs";
import OpenAI from "openai";

const openai = new OpenAI();

async function main() {
  const image = await openai.images.createVariation({
    image: fs.createReadStream("otter.png"),
  });

  console.log(image.data);
}
main();
using System;

using OpenAI.Images;

ImageClient client = new(
    model: "dall-e-2",
    apiKey: Environment.GetEnvironmentVariable("OPENAI_API_KEY")
);

GeneratedImage image = client.GenerateImageVariation(imageFilePath: "otter.png");

Console.WriteLine(image.ImageUri);
import fs from 'fs';
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

const imagesResponse = await client.images.createVariation({
  image: fs.createReadStream('otter.png'),
});

console.log(imagesResponse.created);
package main

import (
    "bytes"
    "context"
    "fmt"
    "io"

    "github.com/openai/openai-go"
    "github.com/openai/openai-go/option"
)

func main() {
    client := openai.NewClient(
        option.WithAPIKey("My API Key"),
    )
    imagesResponse, err := client.Images.NewVariation(context.TODO(), openai.ImageNewVariationParams{
        Image: io.Reader(bytes.NewBuffer([]byte("Example data"))),
    })
    if err != nil {
        panic(err.Error())
    }
    fmt.Printf("%+v
", imagesResponse.Created)
}
package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.images.ImageCreateVariationParams;
import com.openai.models.images.ImagesResponse;
import java.io.ByteArrayInputStream;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        ImageCreateVariationParams params = ImageCreateVariationParams.builder()
            .image(new ByteArrayInputStream("Example data".getBytes()))
            .build();
        ImagesResponse imagesResponse = client.images().createVariation(params);
    }
}
require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

images_response = openai.images.create_variation(image: StringIO.new("Example data"))

puts(images_response)

Response

{
  "created": 1589478378,
  "data": [
    {
      "url": "https://..."
    },
    {
      "url": "https://..."
    }
  ]
}
pl-pl
Wybrane przez Ciebie opcje dotyczące prywatności
  • Zastrzeżenie dotyczące sztucznej inteligencji
  • Poprzednie wersje
  • Blog
  • Współtworzenie
  • Prywatność
  • Prywatność kondycji konsumenta
  • Warunki użytkowania
  • Znaki towarowe
  • © Microsoft 2026